part of 'soliq_id_bloc.dart';

abstract class SoliqIdEvent extends Equatable {
  const SoliqIdEvent();
}

class SoliqIdAccountInfoEvent extends SoliqIdEvent {
  final int projectId;
  final String lang;
  final String token;
  final int pinfl;

  const SoliqIdAccountInfoEvent(
      {
      required this.projectId,
      required this.token,
      required this.pinfl,
      required this.lang});

  @override
  List<Object?> get props => [
        projectId,
        pinfl,
        lang,
    token,
      ];
}

class SoliqIdCreateSessionEvent extends SoliqIdEvent {
  final int pinfl;
  final int projectId;
  final String lang;
  final String token;
  final String fio;

  const SoliqIdCreateSessionEvent({
    required this.fio,
    required this.pinfl,
    required this.token,
    required this.projectId,
    required this.lang,
  });

  @override
  List<Object?> get props => [
        pinfl,
        projectId,
        fio,
        lang,
        token,
      ];
}

class SoliqIdProcessEvent extends SoliqIdEvent {
  final String deviceId;
  final String processId;
  final int id;
  final int asked;
  final String date;
  final String token;

  const SoliqIdProcessEvent({
    required this.deviceId,
    required this.processId,
    required this.token,
    required this.id,
    required this.asked,
    required this.date,
  });

  @override
  List<Object?> get props => [
    deviceId,token,processId,id,asked,date,
  ];
}

class SoliqIdCompareFaceEvent extends SoliqIdEvent {
  final String deviceId;
  final String processId;
  final int id;
  final int asked;
  final String date;
  final String token;

  const SoliqIdCompareFaceEvent({
    required this.deviceId,
    required this.processId,
    required this.id,
    required this.asked,
    required this.date,
    required this.token,
  });

  @override
  List<Object?> get props => [
    deviceId,processId,id,asked,date,token,
  ];
}

